Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 280640 - =net-im/licq-1.3.6 fails to compile with glibc 2.10+
Summary: =net-im/licq-1.3.6 fails to compile with glibc 2.10+
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo net-im Herd
URL: http://blog.flameeyes.eu/2009/07/02/h...
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.10 274070
  Show dependency tree
 
Reported: 2009-08-07 11:02 UTC by Samuli Suominen
Modified: 2009-08-09 20:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (net-im:licq-1.3.6:20090807-105119.log,16.41 KB, text/plain)
2009-08-07 11:02 UTC, Samuli Suominen
Details
fix (licq-1.3.6-glibc-2.10.patch,6.65 KB, patch)
2009-08-07 11:48 UTC, Samuli Suominen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2009-08-07 11:02:15 UTC
not attaching emerge info because this is due to new toolchain, gcc 4.4+ and glibc 2.10+

see build.log
Comment 1 Samuli Suominen gentoo-dev 2009-08-07 11:02:47 UTC
Created attachment 200484 [details]
build.log
Comment 2 Samuli Suominen gentoo-dev 2009-08-07 11:48:25 UTC
Created attachment 200493 [details, diff]
fix

builds with this
Comment 3 Samuli Suominen gentoo-dev 2009-08-08 19:40:28 UTC
Used this as reference point,

http://cvs.fedoraproject.org/viewvc/rpms/licq/devel/licq-1.3.5-gcc44.patch?revision=1.1&view=markup
Comment 4 Samuli Suominen gentoo-dev 2009-08-09 20:04:39 UTC
Fixed (applied a different patch).